# aphorism README

What did you learn?
What makes your project stand out?
If your project has a lot of features, consider adding a "Features" section and listing them here.
Some of the challenges you faced

## Table of Contents
- [Project Title](#Project-Title)
- [Project Motivation](#Project-Motivation)
- [Project Purpose and Description](#Project-Purpose-and-Description)
- [Installing aphorism](#Installing-aphorism)
- [Examples Included Within aphorism](#Examples-Included-Within-aphorism)
- [Known Limitations](#Known-Limitations)
- [Challenges and Learning Experiences](#Challenges-and-Learning-Experiences)
- [Current To-Do and Feature Enhancement List](#Current-To-Do-and-Feature-Enhancement-List)

## Project Title
aphorism

[Return to the Table of Contents](#Table-of-Contents)

## Project Motivation
This project grew from a general frustration with a lack of analytic 
infrastructure and maturity, resulting in ***MASSIVE*** time commitments to 
clean and process information.

To provide a structured, clean environment for my python code, examples, and
historical work products.

[Return to the Table of Contents](#Table-of-Contents)

## Project Purpose and Description
At a 30,000 foot view, this project provides a structured, clean environment
for my python code, examples, and historical work products.

At the time of creation, aphorism was designed to centralize my python code 
and examples into one reproducible, transmissible block. This allowed me to 
simultaneously address a few goals:
- It ensured I thought about longevity of my code.
- It ensured I could transmit my code quickly and efficiently.
- It ensured that I always maintained a reliable backup.
- It ensured that I always have something to show to a future employer. 

Over time, however, this project has grown a bit beyond the scope originally 
envisioned. It now contains copies of things listed below 
- Python code
- SQL code
- LaTeX code
- R code
- example inputs
- example outputs

This project still lives and breathes. Initial development started in 
September 2019 in response to a 

[Return to the Table of Contents](#Table-of-Contents)

## Installing aphorism
Installing aphorism is as easy as opening a command line/terminal and calling: 

```
pip install aphorism
```

Importing aphorism is as easy as: 

```python 
import aphorism
```

All standard Python syntaxes apply once imported, and subsets of aphorism can 
be imported in the standard way: 

```python 
from aphorism import ...
```

[Return to the Table of Contents](#Table-of-Contents)

## Examples Included Within aphorism

Once aphorism is installed, all examples are accessed by calling the default 
function with no input parameters. 

The following examples will be available to you:
- 
- 
- 
- 
- 

[Return to the Table of Contents](#Table-of-Contents)

## Known Limitations
There are multiple known limitations within this project:
- An average user will not be able to run the LaTeX code directly without an installation of MiKTeX, or something comparable.
- No future user will be able to run the SQL code directly. Database names and personnal schemas have been masked to give a layer of security.
- There are varying degrees of sophistication embedded in these code bases. Most of it evolves over time, so be patient.
- Examples are using embedded data sets. As with all examples, minor alterations to your data structures or my code may be required if you choose to repurpose pieces of code given here. 

[Return to the Table of Contents](#Table-of-Contents)

## Challenges and Learning Experiences
To date, there have been multiple major learning opportunities and challenges.
This list is not exhaustive, but it highlights the juicy ones:

1. 

2. 

[Return to the Table of Contents](#Table-of-Contents)

## Current To-Do and Feature Enhancement List



[Return to the Table of Contents](#Table-of-Contents)