
# see https://packaging.python.org/en/latest/guides/distributing-packages-using-setuptools
# https://www.freecodecamp.org/news/build-your-first-python-package/

# change your directory into the main aphorism folder
# run the line below when ready to rebuild the package
#     python setup.py sdist bdist_wheel
# now run 
#     twine upload dist/*

from setuptools import setup, find_packages

VERSION='0.0.1' # MAJOR.MINOR.MAINTENANCE 
DESCRIPTION='My first Python package'
LONG_DESCRIPTION = ("A set of functions and examples I can distribute to multiple sources. "
                   "This package will not be useful to other people in general, but it will "
                   "contain examples that may be instructive.")

setup(
    name="aphorism", # name of the package
    version=VERSION, 
    author="Joshua Fetbrandt", # first last
    author_email="joshua.fetbrandt@tutanota.com", # email
    description=DESCRIPTION, # see very top of file
    long_description=LONG_DESCRIPTION, # see very top of file
    # long_description_content_type = 'text/markdown' # if we use a markdown version of the description
    license="MIT", # license choice; MIT is least restrictive
    keywords="altair visuals oppe metrics hospital credentialing image text processing python healthcare", # search keywords on PyPi
    url='https://github.com/joshuafetbrandt/joshuafetbrandt', # direct link to project
    packages=find_packages(),
    classifiers=[ # tags for the project
        'Development Status :: 3 - Alpha',
        'Topic :: Utilities',
        'License :: OSI Approved :: MIT License',
        'Topic :: Scientific/Engineering :: Visualization',
        'Topic :: Software Development :: Documentation',
        "Intended Audience :: Education",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 3",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ],
    install_requires=[ # add any additional packages that are required
        'numpy',
        'pandas',
        'altair',
        'altair_saver'
    ], 
    python_requires='>=3',
    # project_urls={
    #     'Documentation': '', # 'https://packaging.python.org/tutorials/distributing-packages/'
    #     'Funding': '', # 'https://donate.pypi.org'
    #     'Say Thanks!': '', # 'http://saythanks.io/to/example'
    #     'Source': '', # 'https://github.com/pypa/sampleproject/'
    #     'Tracker': '', # 'https://github.com/pypa/sampleproject/issues'
    # }
    # data_files=[('my_data', ['data/data_file'])],
    # package_data={
    #     'sample': ['package_data.dat'],
    # },
    
)